import React from 'react';
import HomeLayout from './HomeLayout';
import BlankLayout from './BlankLayout';
import {getActiveRoute} from '@/utils';

const Index = (props) => {
  console.log(props);
  const item =getActiveRoute(props.route.routes,props.location.pathname);
  if (item && item.isFull) {
    console.log('full layout');
    return <BlankLayout>{props.children}</BlankLayout>;
  }

  return (
    <>
      <HomeLayout {...props}>{props.children}</HomeLayout>
    </>
  );
};

export default Index;
