import React from 'react';
import Select from '../../components/select';
import styles from './index.less';

const Index = () => {
  const opt = {
    type:2,
    no: 1,
    total: 222,
    title:
      '脑底动脉环在脑循环中起着非常重要的作用，能沟通脑前脑、后、左、右的血液供应，下列哪条动脉不参与脑底动脉环的组成？',
    optionList: [
      {
        id:0,
        no: 'T',
        title: '前交通动脉',
      },
      {
        id:1,
        no: 'F',
        title: '矩形备份',
        isRight: true,
      }
    ],
    rightAnswer:"T",
    analysis:"脑底动脉环的组成包括颈内动脉，大脑前动脉起始段，前交通动脉，大脑后动脉和后交通动脉，不包括椎动脉。"
  };
  return (
    <>
      <Select {...opt}/>
    </>
  );
};

export default Index;
